<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Работники</title>
    <link th:href="@{/styles/main.css}" rel="stylesheet"/>

</head>
<body>
<div class="wrapper">
    <header class="header_main">
    </header>

    <div class="body_main">
        <div class="input_form">
            <form th:action="@{/employees/action/update}" th:object="${employee}" method="post">
                <table>
                    <tr>
                        <th>Номер работника</th>
                        <td>
                            <label>
                                <input type="text" th:field="*{employeeID}" readonly="">
                            </label>
                        </td>
                    </tr>

                    <tr>
                        <th>Имя</th>
                        <td>
                            <label>
                                <input type="text" th:field="*{firstName}" readonly="">
                            </label>
                        </td>
                    </tr>

                    <tr>
                        <th>Фамилия</th>
                        <td>
                            <label>
                                <input type="text" th:field="*{lastName}" readonly="">
                            </label>
                        </td>
                    </tr>

                    <tr>
                        <th>Отчество</th>
                        <td>
                            <label>
                                <input type="text" th:field="*{middleName}" readonly="">
                            </label>
                        </td>
                    </tr>

                    <tr>
                        <th>Номер бригады</th>
                        <td>
                            <label>
                                <input type="text" th:field="*{brigadeID}" readonly="">
                            </label>
                        </td>
                    </tr>

                    <tr>
                        <th>Пол</th>
                        <td>
                            <label>
                                <input type="text" th:field="*{gender}" readonly="">
                            </label>
                        </td>
                    </tr>

                    <tr>
                        <th>Возраст</th>
                        <td>
                            <label>
                                <input type="text" th:field="*{age}">
                            </label>
                        </td>
                        <td th:if="${#fields.hasErrors('age')}" th:errors="*{age}">Age error</td>
                    </tr>

                    <tr>
                        <th>Количество детей</th>
                        <td>
                            <label>
                                <input type="text" th:field="*{amountChild}">
                            </label>
                        </td>
                        <td th:if="${#fields.hasErrors('amountChild')}" th:errors="*{amountChild}">AmountChild error
                        </td>
                    </tr>

                    <tr>
                        <th>Зарплата</th>
                        <td>
                            <label>
                                <input type="text" th:field="*{salary}">
                            </label>
                        </td>
                        <td th:if="${#fields.hasErrors('salary')}" th:errors="*{salary}">Salary error</td>
                    </tr>

                    <tr>
                        <th>Стаж</th>
                        <td>
                            <label>
                                <input type="text" th:field="*{standing}">
                            </label>
                        </td>
                        <td th:if="${#fields.hasErrors('standing')}" th:errors="*{standing}">Standing error</td>
                    </tr>

                    <tr>
                        <td colspan="2">
                            <button type="submit">Обновить</button>
                        </td>
                    </tr>

                </table>
            </form>
        </div>
    </div>

    <footer class="footer_main">
    </footer>
</div>

</body>
</html>